package com.bonus.canteen.core.auth.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("mgr_user_role")
@ApiModel("用户角色关联")
public class MgrUserRole extends Model<MgrUserRole> {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("用户id")
   private Long userId;
   @ApiModelProperty("角色id")
   private Long roleId;
   @ApiModelProperty("是否默认，1：是，2：否")
   private Integer ifDefault;

   public Long getUserId() {
      return this.userId;
   }

   public Long getRoleId() {
      return this.roleId;
   }

   public Integer getIfDefault() {
      return this.ifDefault;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setRoleId(final Long roleId) {
      this.roleId = roleId;
   }

   public void setIfDefault(final Integer ifDefault) {
      this.ifDefault = ifDefault;
   }

   public String toString() {
      Long var10000 = this.getUserId();
      return "MgrUserRole(userId=" + var10000 + ", roleId=" + this.getRoleId() + ", ifDefault=" + this.getIfDefault() + ")";
   }
}
